Skip to main content

Wallet External API (0.1.0)

Download OpenAPI specification:Download

License: Proprietary

Partner API for creating loyalty classes in Wallet.

Loyalty classes

Create a loyalty class

Creates a loyalty class from the Wallet-supported class properties. Requires a MIAMI merchant-level access token for the wallet audience with the wallet-api:write scope.

Authorizations:
MiamiMerchantLevel
Request Body schema: application/json
required
id
required
string

Class ID in {issuerId}.{identifier} format.

issuerName
required
string
object (LocalizedString)
programName
required
string
object (LocalizedString)
required
object (Image)
object (Image)
hexBackgroundColor
string^#([0-9A-Fa-f]{3}|[0-9A-Fa-f]{6})$
object (Image)

Responses

Request samples

Content type
application/json
{
  • "id": "961db7b8-2056-4fa1-8a67-78bda4095f16.ikea-family",
  • "issuerName": "IKEA",
  • "localizedIssuerName": {
    },
  • "programName": "IKEA Family",
  • "localizedProgramName": {
    },
  • "programLogo": {
    },
  • "wideProgramLogo": {
    },
  • "hexBackgroundColor": "#0058A3",
  • "heroImage": {
    }
}

Response samples

Content type
application/json
{
  • "id": "3d9ea13b-139a-4e89-95cc-2f217c433793"
}